IF NOT EXISTS (SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'HDOSYADETAY')
BEGIN
    CREATE TABLE [dbo].[HDOSYADETAY](
        [HDOSYADETAYID] [int] IDENTITY(1,1) NOT NULL,
        [HDOSYAID] [int] NOT NULL,
        [MESAJGONDERILDI] [bit] NOT NULL,
        [TAAHHUTONAMALINDI] [bit] NOT NULL,
     CONSTRAINT [PK_HDOSYADETAY] PRIMARY KEY CLUSTERED 
     (
         [HDOSYAID] ASC
     )WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
    ) ON [PRIMARY];

    ALTER TABLE [dbo].[HDOSYADETAY] ADD CONSTRAINT [DF_HDOSYADETAY_MESAJGONDERILDI] DEFAULT ((0)) FOR [MESAJGONDERILDI];
    ALTER TABLE [dbo].[HDOSYADETAY] ADD CONSTRAINT [DF_HDOSYADETAY_TAAHHUTONAMALINDI] DEFAULT ((0)) FOR [TAAHHUTONAMALINDI];
END

